--- !ruby/object:RI::ClassDescription 
attributes: 
- !ruby/object:RI::Attribute 
  comment: 
  name: command
  rw: R
- !ruby/object:RI::Attribute 
  comment: 
  name: path
  rw: R
class_methods: 
- !ruby/object:RI::MethodSummary 
  name: new
comment: 
- !ruby/struct:SM::Flow::P 
  body: "An Irc::Bot::Auth::Command defines a command by its &quot;path&quot;:"
- !ruby/struct:SM::Flow::VERB 
  body: "  base::command::subcommand::subsubcommand::subsubsubcommand\n"
constants: []

full_name: Irc::Bot::Auth::Command
includes: []

instance_methods: 
- !ruby/object:RI::MethodSummary 
  name: sanitize_command_path
- !ruby/object:RI::MethodSummary 
  name: to_irc_auth_command
name: Command
superclass: Object
